<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class IsHangul implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        return (findRegexString($value, _HANGUL_) === false ? false : true);
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return ':attribute 은(는) 공백없이 한글만 입력 가능합니다.';
    }
}
